/*********************************************************************************************************//**
 * @file    BMP73T104_HT32/example_twoSteppersRun/main.c
 * @version V1.0.1
 * @date    2024-08-06
 * @brief   Main program.
 *************************************************************************************************************
 * @attention
 *
 * Firmware Disclaimer Information
 *
 * 1. The customer hereby acknowledges and agrees that the program technical documentation, including the
 *    code, which is supplied by Holtek Semiconductor Inc., (hereinafter referred to as "HOLTEK") is the
 *    proprietary and confidential intellectual property of HOLTEK, and is protected by copyright law and
 *    other intellectual property laws.
 *
 * 2. The customer hereby acknowledges and agrees that the program technical documentation, including the
 *    code, is confidential information belonging to HOLTEK, and must not be disclosed to any third parties
 *    other than HOLTEK and the customer.
 *
 * 3. The program technical documentation, including the code, is provided "as is" and for customer reference
 *    only. After delivery by HOLTEK, the customer shall use the program technical documentation, including
 *    the code, at their own risk. HOLTEK disclaims any expressed, implied or statutory warranties, including
 *    the warranties of merchantability, satisfactory quality and fitness for a particular purpose.
 *
 * <h2><center>Copyright (C) Holtek Semiconductor Inc. All rights reserved</center></h2>
 ************************************************************************************************************/

/* Includes ------------------------------------------------------------------------------------------------*/
#include "BMP73T104.h"

/* Settings ------------------------------------------------------------------------------------------------*/
/* Private types -------------------------------------------------------------------------------------------*/
/* Private constants ---------------------------------------------------------------------------------------*/
/* Private function prototypes -----------------------------------------------------------------------------*/
/* Private macro -------------------------------------------------------------------------------------------*/
/* Global variables ----------------------------------------------------------------------------------------*/
/* Private variables ---------------------------------------------------------------------------------------*/
/* Global functions ----------------------------------------------------------------------------------------*/
void _delay(vu32 count);

/*********************************************************************************************************//**
  * @brief  Main program.
  * @retval None
  ***********************************************************************************************************/
int main(void)
{
	RETARGET_Configuration();           //Initialise the serial monitor with a baud rate of 115200
	BMP73T104_Init();                   //Initialise module
	BMP73T104_begin(0x00,0x0f,BMP73T104_HALF_STEP);
	BMP73T104_setStepperMaxSpeed(BMP73T104_STEPPER1,1200);
	BMP73T104_setStepperAcceleration(BMP73T104_STEPPER1,800);
	
	BMP73T104_setStepperMaxSpeed(BMP73T104_STEPPER2,1200);
	BMP73T104_setStepperAcceleration(BMP73T104_STEPPER2,800);
	while(1)
	{
		BMP73T104_stepperRun(BMP73T104_STEPPER1,BMP73T104_CW,200); 
		BMP73T104_stepperRun(BMP73T104_STEPPER2,BMP73T104_CCW,800); 
		_delay(3000);
		
		BMP73T104_stepperStop(BMP73T104_STEPPER1); 
		BMP73T104_stepperStop(BMP73T104_STEPPER2); 
		_delay(1000);
		
		BMP73T104_stepperRun(BMP73T104_STEPPER1,BMP73T104_CCW,200);   
		BMP73T104_stepperRun(BMP73T104_STEPPER2,BMP73T104_CW,800); 
		_delay(3000);
		
		BMP73T104_stepperStop(BMP73T104_STEPPER1); 
		BMP73T104_stepperStop(BMP73T104_STEPPER2); 
		_delay(1000);
	}

}

/*********************************************************************************************************//**
 * @brief  delay ms.
 * @param  count
 * @retval void
 ************************************************************************************************************/
void _delay(vu32 count)
{
  count = SystemCoreClock / 8000 * count;
  while(count--);
}

